Get Connector Meta Information (Legacy)
curl --request GET \
--url https://api.stackone.com/connectors/meta/{provider} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.stackone.com/connectors/meta/{provider}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.stackone.com/connectors/meta/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "hibob",
"provider_name": "Hibob",
"category": "hris",
"models": {
"employees": {
"create": {
"apiPath": "/unified/hris/employees/:id",
"input": {
"defaultFields": [
{
"name": "first_name",
"type": "string"
}
]
},
"output": {
"defaultFields": [
{
"name": "id",
"type": "string"
}
]
}
}
},
"time_off": {
"get": {
"apiPath": "/unified/hris/employees/:id/time_off/:id",
"output": {
"defaultFields": [
{
"name": "id",
"type": "string"
}
]
}
}
}
},
"active": true,
"resources": {
"images": {
"logo_url": "https://app.stackone.com/assets/logos/hibob.png",
"original_logo_horizontal_url": "https://app.stackone.com/assets/logos/original/hibob_horizontal.png"
}
}
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}Get Connector Meta Information (Legacy)
deprecated
GET
/
connectors
/
meta
/
{provider}
Get Connector Meta Information (Legacy)
This endpoint is deprecated
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Query Parameters
The comma separated list of data that will be included in the response
Example:
"field_path,unmapped_fields,resources,inactive,webhooks,static_fields"
Response
The connector meta information was retrieved
The provider key
Example:
"hibob"
The provider human-readable label
Example:
"Hibob"
The provider service category
Available options:
ats, hris, hris-legacy, crm, iam, marketing, lms, stackone, documents, ticketing, screening, messaging, accounting, scheduling Example:
"hris"
Example:
{
"employees": {
"create": {
"apiPath": "/unified/hris/employees/:id",
"input": {
"defaultFields": [{ "name": "first_name", "type": "string" }]
},
"output": {
"defaultFields": [{ "name": "id", "type": "string" }]
}
}
},
"time_off": {
"get": {
"apiPath": "/unified/hris/employees/:id/time_off/:id",
"output": {
"defaultFields": [{ "name": "id", "type": "string" }]
}
}
}
}
Whether this provider has been enabled on the integrations page for the current project
Example:
true
Resources for this provider, such as image assets
Show child attributes
Show child attributes
Example:
{
"images": {
"logo_url": "https://app.stackone.com/assets/logos/hibob.png",
"original_logo_horizontal_url": "https://app.stackone.com/assets/logos/original/hibob_horizontal.png"
}
}
Was this page helpful?
⌘I